﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Data.SqlClient;
using System.IO;

public partial class admin_AddJournal : System.Web.UI.Page
{
    string cxConnString = System.Configuration.ConfigurationManager.ConnectionStrings["intjour_conn_str"].ConnectionString;
    protected void Page_Load(object sender, EventArgs e)
    {
        SqlConnection ConnZx = null;
        try
        {
            ConnZx = new SqlConnection(cxConnString);
            SqlCommand CmdZx = new SqlCommand();
            CmdZx.Connection = ConnZx;
            CmdZx.CommandType = CommandType.Text;
            CmdZx.CommandText = "SELECT JOURNAL_CAT_NAME FROM JOURNALS_CAT_DT";           

            ConnZx.Open();
            SqlDataReader RdrZx=CmdZx.ExecuteReader();

            if(RdrZx.HasRows)
            {
                while(RdrZx.Read())
                {
                    DropDownList1.Items.Add(RdrZx["JOURNAL_CAT_NAME"].ToString());
                }
            }
            ConnZx.Close();
        }
        catch (Exception ex)
        {
            Response.Write(ex);
        }
        finally
        {
            ConnZx.Close();
        }
    }
    void LoadJournalDetails()
    {
        SqlConnection ConnZx = null;
        try
        {
            ConnZx = new SqlConnection(cxConnString);
            SqlCommand CmdZx = new SqlCommand();
            CmdZx.Connection = ConnZx;
            CmdZx.CommandType = CommandType.StoredProcedure;
            CmdZx.CommandText = "JOURNALS_PRO";

            CmdZx.Parameters.Add("@JOURNAL_NAME", SqlDbType.VarChar).Value = TextBox2.Text;
            CmdZx.Parameters.Add("@ABOUT_JOURNAL", SqlDbType.VarChar).Value = Editor1.Content;
            CmdZx.Parameters.Add("@JOURNAL_IMAGE", SqlDbType.VarChar).Value = "";
            CmdZx.Parameters.Add("@JOURNAL_CAT_NAME", SqlDbType.VarChar).Value = DropDownList1.SelectedValue;
            CmdZx.Parameters.Add("@CREATION_DATE", SqlDbType.DateTime).Value = DateTime.Now.ToString();

            ConnZx.Open();
            CmdZx.ExecuteNonQuery();
            ConnZx.Close();
        }
        catch (Exception ex)
        {
            Response.Write(ex);
        }
        finally
        {
            ConnZx.Close();
        }
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        string ext = Path.GetExtension(FileUpload1.FileName);
        if (ext == ".jpg" || ext == ".jpeg" || ext == ".png" || ext == ".gif")
        {
            AddJournal(ext);
        }
        else
        {
            Page.ClientScript.RegisterClientScriptBlock(typeof(Page), Guid.NewGuid().ToString(), "alert('Please choose a valid image file')", true);
        }
    }
    void AddJournal(string ext)
    {

        SqlConnection ConnZx = null;
        try
        {
            string id = TextBox3.Text;

            string serverPath = Server.MapPath("~/Journals/");
            string path = serverPath + id + "/" + id + ext;
            string path2 = serverPath + id ;
            string path3 = serverPath + id + "/PendingPapers";
            string path4 = serverPath + id + "/Downloads";
            string url = "http://panel.intjour.com/Journals/" + id + "/" + id + ext;


            Directory.CreateDirectory(path2);
            Directory.CreateDirectory(path3);
            Directory.CreateDirectory(path4);
            FileUpload1.SaveAs(path);

            ConnZx = new SqlConnection(cxConnString);
            SqlCommand CmdZx = new SqlCommand();
            CmdZx.Connection = ConnZx;
            CmdZx.CommandType = CommandType.StoredProcedure;
            CmdZx.CommandText = "JOURNALS_PRO";

            CmdZx.Parameters.Add("@JOURNAL_ID", SqlDbType.VarChar).Value = TextBox3.Text;
            CmdZx.Parameters.Add("@JOURNAL_NAME", SqlDbType.VarChar).Value = TextBox2.Text;
            CmdZx.Parameters.Add("@JOURNAL_EMAIL", SqlDbType.VarChar).Value = TextBox1.Text;
            CmdZx.Parameters.Add("@ABOUT_JOURNAL", SqlDbType.VarChar).Value = Editor1.Content;
            CmdZx.Parameters.Add("@JOURNAL_IMAGE", SqlDbType.VarChar).Value = url;
            CmdZx.Parameters.Add("@JOURNAL_CAT_NAME", SqlDbType.VarChar).Value = DropDownList1.SelectedValue;
            CmdZx.Parameters.Add("@CREATION_DATE", SqlDbType.DateTime).Value = DateTime.Now.ToString();

            ConnZx.Open();
            CmdZx.ExecuteNonQuery();
            ConnZx.Close();
            Response.Redirect("Confirmation2.aspx?content=create_journal");
        }
        catch (Exception ex)
        {
            Response.Write(ex);
        }
        finally
        {
            ConnZx.Close();
        }

    }
    protected void Button2_Click(object sender, EventArgs e)
    {
        Response.Write(Server.MapPath(""));
    }
}