﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Data.SqlClient;
using System.IO;

public partial class admin_Journals : System.Web.UI.Page
{
    string cxConnString = System.Configuration.ConfigurationManager.ConnectionStrings["intjour_conn_str"].ConnectionString;
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["journame"] == null)
            Response.Redirect("SalectJournal.aspx");
        if (!IsPostBack)
        {
            LoadVolumes();
            LoadPapers();
        }
    }
    public void LoadVolumes()
    {
        SqlConnection connZxn = null;
        try
        {
            connZxn = new SqlConnection(cxConnString);
            connZxn.Open();
            SqlCommand cmdZxd3 = new SqlCommand("select VOLUME_NAME,VOLUME_ID from VOLUMES_DT where VOLUME_JOURNAL=@journal order by VOLUME_DATE asc");
            cmdZxd3.Parameters.Add("@journal", SqlDbType.VarChar, 150).Value = Session["journame"].ToString();
            cmdZxd3.Connection = connZxn;
            SqlDataReader apRdr3 = cmdZxd3.ExecuteReader();

            if (apRdr3.HasRows)
            {
                while (apRdr3.Read())
                {
                    ListItem li = new ListItem();
                    li.Text = apRdr3["VOLUME_NAME"].ToString();
                    li.Value = apRdr3["VOLUME_ID"].ToString();
                    DropDownList1.Items.Add(li);
                }
            }
        }
        catch (Exception ex)
        {
            Response.Write(ex);
        }
        finally
        {
            connZxn.Close();
        }
    }
    void LoadPapers()
    {
        string cmdText=null;
        if (DropDownList1.SelectedValue == "All Volumes")
        {
            cmdText = "SELECT [PAPER_ID], [PAPER_NAME], PAPER_URL, [PAPER_ABSTRACT], [PAPER_KEYWORDS] FROM [PAPERS_DT] where PAPER_JOURNAL=@jour AND PAPER_STATUS='Approved'";            
        }
        else
        {
            cmdText = "SELECT [PAPER_ID], [PAPER_NAME], PAPER_URL, [PAPER_ABSTRACT], [PAPER_KEYWORDS] FROM [PAPERS_DT] where PAPER_JOURNAL=@jour AND PAPER_STATUS='Approved' AND PAPER_VOLUME_ID=@vol";
        }
        SqlDataSource1.SelectCommand = cmdText;
        SqlDataSource1.SelectParameters.Add("jour", DbType.String, Session["jourfullname"].ToString());
        SqlDataSource1.SelectParameters.Add("vol", DbType.String, DropDownList1.SelectedValue);
    }
    protected void DropDownList1_SelectedIndexChanged(object sender, EventArgs e)
    {
        SqlDataSource1.SelectCommand = null;
        SqlDataSource1.SelectParameters.Remove(SqlDataSource1.SelectParameters["jour"]);
        SqlDataSource1.SelectParameters.Remove(SqlDataSource1.SelectParameters["vol"]);
        LoadPapers();
    }
    protected void Delete(object sender, CommandEventArgs e)
    {
        
        try
        {
            SqlConnection ConnZxx = new SqlConnection(cxConnString);
            SqlCommand cmdZxx = new SqlCommand();
            cmdZxx.Connection = ConnZxx;
            cmdZxx.CommandText = "SELECT PAPER_VOLUME_ID,PAPER_EX FROM  PAPERS_DT WHERE PAPER_ID=@ID";
            cmdZxx.Parameters.Add("@ID", SqlDbType.VarChar).Value = e.CommandArgument;

            ConnZxx.Open();
            SqlDataReader rdrZxx = cmdZxx.ExecuteReader();

            rdrZxx.Read();
            {
                string path = Server.MapPath("~/Journals/") + Session["jour_id"] + "/" + rdrZxx["PAPER_VOLUME_ID"].ToString() + "/" +
                            e.CommandArgument + rdrZxx["PAPER_EX"];
                File.Delete(path);
            }

            SqlConnection con = new SqlConnection(cxConnString);
            SqlCommand cmd = new SqlCommand("delete from PAPERS_DT where PAPER_ID=@p_ID");
            cmd.Connection = con;
            cmd.CommandType = CommandType.Text;
            cmd.Parameters.Add("@p_ID", SqlDbType.VarChar).Value = e.CommandArgument;

            con.Open();
            cmd.ExecuteNonQuery();
            con.Close();

            Response.Redirect("Confirmation.aspx?content=paper_delete");
        }
        catch (Exception ex)
        {
            Response.Write(ex);
        }
    }
}